package com.example.ellegadodepintia.exploradoresDePintia.model.habilidad.efectoHabilidad

import android.os.Handler
import android.os.Looper
import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState.context
import com.example.ellegadodepintia.exploradoresDePintia.model.GestorCombate
import com.example.ellegadodepintia.soundManager.SoundManager

class EfectoGolpeMultiple(private var cantidad: Int): EfectoHabilidad(){
    override fun ejecutar() {
            GestorCombate.cargarAnimacionesAtaqueProtagonista()
            var soundManager: SoundManager
            soundManager = SoundManager(context!!)
            soundManager.playSound(R.raw.sound_espada, 100)
            Handler(Looper.getMainLooper()).postDelayed({
                soundManager.playSound(R.raw.sound_espada, 100)
            }, 400)
            val ataqueReal = GestorCombate.calcularAtaque(cantidad*GameState.jugador.atributos[Atributo.Ataque]!!,GameState.jugador.atributos[Atributo.Critico]!!)
            GameState.eventoActual.actualizarResistencia(-ataqueReal)

    }
}